; Ryouga's Normal State File
;---------------------------------------------------------------------------
; Vars used:
; var(0) - random scaling on rocks for Rock Smash.
; var(1) - random velocity, horizontal, on rocks for Rock Smash.
; var(2) - random velocity, vertical, on rocks for Rock Smash.
; var(3) - stores the status of the Energy Burst.
; var(58) - used in a helper state to store if a rock has hit or not.
; var(59) - used in a helper state to store random horiz vel without
;           changing it every tick, as my old code did.
; fvar(0) - X position.
; fvar(1) - Y position.
;---------------------------------------------------------------------------
;-| Non-Attack Stuff |------------------------------------------------------
;-| Lose by Time Over |-----------------------------------------------------
[Statedef 170]
type = S
ctrl = 0
anim = 170
velset = 0,0

[State 170, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1

;-| Intro |-----------------------------------------------------------------
[Statedef 191]
type = S
ctrl = 0
anim = 195
velset = 0,0

[State 191, PlaySND]
type = PlaySnd
trigger1 = Time = 1
value = 0, 3
channel = 0

[State 191, ChangeAnim]
type = ChangeAnim
trigger1 = RoundState = 0
value = 195

[State 191, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = Intro

[State 191, Explod]
type = Explod
trigger1 = Time = 0
anim = F130
ID = 191
pos = 0,0
postype = p1
facing = 1
bindtime = -1
removetime = -1
ontop = 1
ownpal = 1
removeongethit = 1

[State 191, RemoveExplod]
type = RemoveExplod
trigger1 = Time >= 90
ID = 191

[State 191, ChangeState]
type = ChangeState
trigger1 = Time >= 90
value = 0

;-| Taunt |-----------------------------------------------------------------
[Statedef 195]
type = S
ctrl = 0
anim = 195
velset = 0,0

[State 195, PlaySND]
type = PlaySnd
trigger1 = Time = 1
value = 0, 3
channel = 0

[State 195, PowerAdd]
type = PowerAdd
trigger1 = Time > 20
value = 3

[State 195, Explod]
type = Explod
trigger1 = Time = 0
anim = F130
ID = 195
pos = 0,0
postype = p1
facing = 1
bindtime = -1
removetime = -1
ontop = 1
ownpal = 1
removeongethit = 1

[State 195, RemoveExplod]
type = RemoveExplod
trigger1 = Time >= 60 && command != "hold_start"
trigger2 = Power = 2000
ID = 195

[State 195, ChangeState]
type = ChangeState
trigger1 = Time >= 60 && command != "hold_start"
trigger2 = Power = 2000
value = 0
ctrl = 1

;-| Win State Decider |-----------------------------------------------------
[Statedef 180]
type = S

[State 180, ChangeState]
type = ChangeState
trigger1 = Time = 0
value = 181

;-| Win Pose 1 |------------------------------------------------------------
[Statedef 181]
type = S
ctrl = 0
anim = 181
velset = 0,0

[State 181, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1

;---------------------------------------------------------------------------
;-| Basic Attacks |---------------------------------------------------------
;-| Standing Light Punch |--------------------------------------------------
[Statedef 200]
type = S
physics = S
movetype = A
anim = 200
ctrl = 0
velset = 0,0
juggle = 1
poweradd = 20

[State 200, Hitdef]
type = HitDef
trigger1 = Animelem = 2
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = Light
priority = 3,Miss
damage = 31,0
pausetime = 7,8
sparkno = 0
sparkxy = 5,-45
hitsound   = 5,0
guardsound = 6,0
ground.type = High
ground.slidetime = 6
ground.hittime = 11
ground.velocity = -4,0
air.hittime = 6
air.velocity = -1,-2

[State Changestate]
type = Changestate
trigger1 = Animtime = 0
value = 0
ctrl = 1

;-| Standing Strong Punch |--------------------------------------------------
[Statedef 210]
type = S
physics = S
movetype = A
anim = 210
ctrl = 0
velset = 0,0
juggle = 3
poweradd = 60

[State 210, PlaySND]
type = PlaySnd
trigger1 = Time = 1
value = 0, 2
channel = 0

[State 210, Hitdef]
type = HitDef
trigger1 = Animelem = 4
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = Medium
priority = 4,Hit
damage = 79,0
pausetime = 9,10
sparkno = 1
sparkxy = 2,-54
hitsound   = 5,2
guardsound = 6,0
ground.type = High
ground.slidetime = 12
ground.hittime = 15
ground.velocity = -5,0
air.velocity = -2.5,-3

[State Changestate]
type = Changestate
trigger1 = Animtime = 0
value = 0
ctrl = 1

;-| Standing Light Kick |--------------------------------------------------
[Statedef 230]
type = S
physics = S
movetype = A
anim = 230
ctrl = 0
velset = 0,0
juggle = 2
poweradd = 24

[State 230, Hitdef]
type = HitDef
trigger1 = Animelem = 3
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = Light
priority = 3,Dodge
damage = 36,0
pausetime = 8,9
sparkno = 0
sparkxy = 5,-35
hitsound   = 5,1
guardsound = 6,0
ground.type = High
ground.slidetime = 10
ground.hittime = 13
ground.velocity = -4,0
air.velocity = -1,-2

[State Changestate]
type = Changestate
trigger1 = Animtime = 0
value = 0
ctrl = 1

;-| Standing Strong Kick |--------------------------------------------------
[Statedef 240]
type = S
physics = S
movetype = A
anim = 240
ctrl = 0
velset = 0,0
juggle = 4
poweradd = 65

[State 240, PlaySND]
type = PlaySnd
trigger1 = Time = 1
value = 0, 2
channel = 0

[State 240, Hitdef]
type = HitDef
trigger1 = Animelem = 4
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = Heavy
priority = 4,Hit
damage = 72,0
pausetime = 10,11
sparkno = 1
sparkxy = 0,-55
hitsound   = 5,2
guardsound = 6,0
ground.type = High
ground.slidetime = 12
ground.hittime = 16
ground.velocity = -5.5,0
air.velocity = -2.75,-3

[State Changestate]
type = Changestate
trigger1 = Animtime = 0
value = 0
ctrl = 1

;-| Ducking Light Punch |--------------------------------------------------
[Statedef 400]
type = C
physics = C
movetype = A
anim = 400
ctrl = 0
velset = 0,0
juggle = 2
poweradd = 18

[State 400, Hitdef]
type = HitDef
trigger1 = Animelem = 2
attr = C, NA
hitflag = MAF
guardflag = L
animtype = Light
priority = 3,Dodge
damage = 32,0
pausetime = 6,7
sparkno = 0
sparkxy = 5,-25
hitsound   = 5,0
guardsound = 6,0
ground.type = Low
ground.slidetime = 6
ground.hittime = 10
ground.velocity = -3.9,0
air.velocity = -1,-2

[State Changestate]
type = Changestate
trigger1 = Animtime = 0
value = 11
ctrl = 1

;-| Ducking Strong Punch |--------------------------------------------------
[Statedef 410]
type = C
physics = C
movetype = A
anim = 410
ctrl = 0
velset = 0,0
juggle = 4
poweradd = 61

[State 410, PlaySND]
type = PlaySnd
trigger1 = Time = 1
value = 0, 2
channel = 0

[State 410, Hitdef]
type = HitDef
trigger1 = Animelem = 3
attr = C, NA
hitflag = MAF
guardflag = L
animtype = Heavy
priority = 4,Dodge
damage = 34,0
pausetime = 9,11
sparkno = 1
sparkxy = 2,-50
hitsound   = 5,2
guardsound = 6,0
ground.type = Low
ground.slidetime = 11
ground.hittime = 14
ground.velocity = -5,0
air.velocity = -3,-3

[State 410, Hitdef]
type = HitDef
trigger1 = Animelem = 4
attr = C, NA
hitflag = MAF
guardflag = L
animtype = Heavy
priority = 4,Dodge
damage = 45,0
pausetime = 9,11
sparkno = 1
sparkxy = 5,-80
hitsound   = 5,2
guardsound = 6,0
ground.type = High
air.type = Low
ground.slidetime = 11
ground.hittime = 14
ground.velocity = -7,0
air.velocity = -3,-3

[State Changestate]
type = Changestate
trigger1 = Animtime = 0
value = 11
ctrl = 1

;-| Ducking Light Kick |--------------------------------------------------
[Statedef 430]
type = C
physics = C
movetype = A
anim = 430
ctrl = 0
velset = 0,0
juggle = 4
poweradd = 21

[State 430, Hitdef]
type = HitDef
trigger1 = Animelem = 2
attr = C, NA
hitflag = MAFD
guardflag = L
animtype = Light
priority = 4,Dodge
damage = 44,0
pausetime = 7,8
sparkno = 0
sparkxy = 5,-10
hitsound   = 5,1
guardsound = 6,0
ground.type = Low
ground.slidetime = 7
ground.hittime = 11
ground.velocity = -3.8,0
air.velocity = -1,-2

[State Changestate]
type = Changestate
trigger1 = Animtime = 0
value = 11
ctrl = 1

;-| Ducking Strong Kick |--------------------------------------------------
[Statedef 440]
type = C
physics = C
movetype = A
anim = 440
ctrl = 0
velset = 0,0
juggle = 6
poweradd = 58

[State 440, PlaySND]
type = PlaySnd
trigger1 = Time = 1
value = 0, 2
channel = 0

[State 440, Hitdef]
type = HitDef
trigger1 = Animelem = 3
attr = C, NA
hitflag = MAFD
guardflag = L
animtype = Heavy
priority = 4,Hit
damage = 75,0
pausetime = 9,11
sparkno = 2
sparkxy = 5,-30
hitsound   = 5,2
guardsound = 6,0
ground.type = Trip
ground.slidetime = 10
ground.hittime = 14
ground.velocity = -3,-2
air.velocity = -2,-4
guard.velocity = -3
fall = 1

[State Changestate]
type = Changestate
trigger1 = Animtime = 0
value = 11
ctrl = 1

;-| Sliding Kick |--------------------------------------------------
[Statedef 450]
type = C
physics = C
movetype = A
anim = 450
ctrl = 0
velset = 0,0
juggle = 4
poweradd = 61

[State 450, VelSet]
type = VelSet
trigger1 = Animelem = 3,1
x = 10

[State 430, Hitdef]
type = HitDef
trigger1 = Animelem = 3
attr = C, NA
hitflag = MAFD
guardflag = L
animtype = Light
priority = 4,Dodge
damage = 64,0
pausetime = 7,8
sparkno = 0
sparkxy = 5,-10
hitsound   = 5,2
guardsound = 6,0
ground.type = Low
ground.slidetime = 10
ground.hittime = 12
ground.velocity = -5.2,0
air.velocity = -2,-3

[State Changestate]
type = Changestate
trigger1 = Animtime = 0
value = 11
ctrl = 1

;-| Jumping Light Punch |--------------------------------------------------
[Statedef 600]
type = A
physics = A
movetype = A
anim = 600
ctrl = 0
juggle = 1
poweradd = 20

[State 600, Hitdef]
type = HitDef
trigger1 = Time = 0
attr = A, NA
hitflag = MAF
guardflag = MA
animtype = Light
priority = 3,Dodge
damage = 32,0
pausetime = 6,7
sparkno = 0
sparkxy = 5,-25
hitsound = 5,0
guardsound = 6,0
ground.type = High
ground.slidetime = 6
ground.hittime = 7
ground.velocity = -3,0
air.velocity = -1,-2

;-| Jumping Strong Punch |--------------------------------------------------
[Statedef 610]
type = A
physics = A
movetype = A
anim = 610
ctrl = 0
juggle = 3
poweradd = 58

[State 610, PlaySND]
type = PlaySnd
trigger1 = Time = 1
value = 0, 2
channel = 0

[State 610, Hitdef]
type = HitDef
trigger1 = Time = 0
attr = A, NA
hitflag = MAF
guardflag = MA
animtype = Heavy
priority = 4,Dodge
damage = 79,0
pausetime = 9,11
sparkno = 1
sparkxy = 5,-25
hitsound   = 5,2
guardsound = 6,0
ground.type = High
ground.slidetime = 8
ground.hittime = 10
ground.velocity = -5,0
air.velocity = -2,-3

;-| Jumping Light Kick |--------------------------------------------------
[Statedef 630]
type = A
physics = A
movetype = A
anim = 630
ctrl = 0
juggle = 1
poweradd = 20

[State 630, Hitdef]
type = HitDef
trigger1 = Time = 0
attr = C, NA
hitflag = MAF
guardflag = MA
animtype = Light
priority = 4,Dodge
damage = 44,0
pausetime = 7,8
sparkno = 0
sparkxy = 5,-10
hitsound   = 5,1
guardsound = 6,0
ground.type = High
ground.slidetime = 7
ground.hittime = 8
ground.velocity = -3.5,0
air.velocity = -2,-4

;-| Jumping Strong Kick |--------------------------------------------------
[Statedef 640]
type = A
physics = A
movetype = A
anim = 640
ctrl = 0
juggle = 4
poweradd = 65

[State 640, PlaySND]
type = PlaySnd
trigger1 = Time = 1
value = 0, 2
channel = 0

[State 640, Hitdef]
type = HitDef
trigger1 = Time = 0
attr = A, NA
hitflag = MAF
guardflag = MA
animtype = Heavy
priority = 4,Hit
damage = 72,0
pausetime = 10,11
sparkno = 1
sparkxy = 5,-55
hitsound   = 5,2
guardsound = 6,0
ground.type = High
ground.slidetime = 10
ground.hittime = 11
ground.velocity = -5.5,0
air.velocity = -2.75,-4

;-| Jumping Down + Strong Kick |-------------------------------------------
[Statedef 645]
type = A
physics = A
movetype = A
anim = 645
ctrl = 0
juggle = 4
poweradd = 65

[State 645, Velset]
type = VelSet
trigger1 = Time >= 1 && Time < 5
x = 0
y = 0

[State 645, Velset]
type = VelAdd
trigger1 = Time >= 6
y = 0.2

[State 645, Hitdef]
type = HitDef
trigger1 = Time = 0
attr = A, NA
hitflag = MAF
guardflag = MA
animtype = Back
priority = 4,Hit
damage = 72,0
pausetime = 10,11
sparkno = 1
sparkxy = 5,-15
hitsound   = 5,2
guardsound = 6,0
ground.type = Trip
ground.slidetime = 10
ground.hittime = 11
ground.velocity = -3.5,0
air.velocity = -1.75,-2
fall = 1

;---------------------------------------------------------------------------
;-| Special Attacks |-------------------------------------------------------
;-| Fireball (Weak) |-------------------------------------------------------
[Statedef 1000]
type = S
physics = S
movetype = A
anim = 1000
ctrl = 0
velset = 0,0
juggle = 5

[State 1000, PlaySND]
type = PlaySnd
trigger1 = Time = 1
value = 0, 0
channel = 0

[State 1000, Explod]
type = Explod
trigger1 = Animelem = 3
anim = 1001
ID = 1001
pos = 12,-47
postype = p1
facing = 1
bindtime = -1
removetime = -2
ontop = 1
ownpal = 1
removeongethit = 1

[State 1000, Projectile]
type = Projectile
trigger1 = Animelem = 3, 5
ProjID = 1000
projanim = 1002
projhitanim = 1003
projscale = 1,1
projremove = 1
projremovetime = 20
velocity = 2,0
projhits = 1
projpriority = 1
offset = 12,-47
postype = p1
attr = S, SP
hitflag = MAF
guardflag = MA
animtype = Medium
priority = 4,Hit
damage = 95,0
pausetime = 9,11
sparkno = 2
sparkxy = 5,0
hitsound   = 5,2
guardsound = 6,0
ground.type = High
ground.slidetime = 9
ground.hittime = 11
ground.velocity = -4.2,0
air.velocity = -1,-2
air.fall = 1

[State 1000, Changestate]
type = Changestate
trigger1 = Animtime = 0
value = 0
ctrl = 1

;-| Fireball (Strong) |-------------------------------------------------------
[Statedef 1001]
type = S
physics = S
movetype = A
anim = 1000
ctrl = 0
velset = 0,0
juggle = 5

[State 1001, PlaySND]
type = PlaySnd
trigger1 = Time = 1
value = 0, 0
channel = 0

[State 1001, Explod]
type = Explod
trigger1 = Animelem = 3
anim = 1001
ID = 1001
pos = 12,-47
postype = p1
facing = 1
bindtime = -1
removetime = -2
ontop = 1
ownpal = 1
removeongethit = 1

[State 1001, Projectile]
type = Projectile
trigger1 = Animelem = 3, 5
ProjID = 1001
projanim = 1004
projhitanim = 1003
projscale = 1.25,1.25
projremove = 1
projremovetime = 20
velocity = 2,0
projhits = 1
projpriority = 1
offset = 12,-47
postype = p1
attr = S, SP
hitflag = MAF
guardflag = MA
animtype = Medium
priority = 4,Hit
damage = 100,0
pausetime = 9,11
sparkno = 2
sparkxy = 5,0
hitsound   = 5,3
guardsound = 6,0
ground.type = High
ground.slidetime = 9
ground.hittime = 11
ground.velocity = -4.2,0
air.velocity = -1,-2
fall = 1
air.fall = 1

[State 1001, Changestate]
type = Changestate
trigger1 = Animtime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;-| Rock Smash (Weak) |-----------------------------------------------------
[Statedef 1100]
type = S
physics = S
movetype = A
anim = 1100
ctrl = 0
velset = 0,0
juggle = 5

[State 1100, PlaySND]
type = PlaySnd
trigger1 = Time = 1
value = 0, 1
channel = 0

[State 1100, Explod]
type = Explod
trigger1 = Animelem = 3
anim = F61
ID = 61
pos = 0,0
postype = p1
facing = 1
bindtime = -1
removetime = -2
scale = 1, 1
ontop = 0
ownpal = 1
removeongethit = 1

[State 1100, EnvShake]
type = EnvShake
trigger1 = Animelem = 3
time = 15

[State 1100, VarRandom] ; Set random scaling
type = VarRandom
trigger1 = Time = 1 || Animelem = 3, 1 || Animelem = 3, 2 || Animelem = 3, 3
v = 0
range = 1, 3

[State 1100, VarRandom 2] ; Set random horiz vel
type = VarRandom
trigger1 = Time = 1 || Animelem = 3, 1 || Animelem = 3, 2 || Animelem = 3, 3
v = 1
range = 2, 6

[State 1100, VarRandom 3] ; Set random vert vel
type = VarRandom
trigger1 = Time = 1 || Animelem = 3, 1 || Animelem = 3, 2 || Animelem = 3, 3
v = 2
range = -9, -4

[State 1100, Helper]
type = Helper
trigger1 = Animelem = 3, 1
helpertype = normal
name = "Round Rock A1"
ID = 1110
pos = 11,-2
postype = p1
facing = 1
stateno = 1110
;keyctrl = 0
ownpal = 1
size.xscale = 1 * var(0)
size.yscale = 1 * var(0)

[State 1100, Helper 2]
type = Helper
trigger1 = Animelem = 3, 2
helpertype = normal
name = "Round Rock B1"
ID = 1111
pos = 11,-2
postype = p1
facing = 1
stateno = 1110
;keyctrl = 0
ownpal = 1
size.xscale = 1 * var(0)
size.yscale = 1 * var(0)

[State 1100, Helper 3]
type = Helper
trigger1 = Animelem = 3, 3
helpertype = normal
name = "Round Rock C1"
ID = 1112
pos = 11,-2
postype = p1
facing = 1
stateno = 1110
;keyctrl = 0
ownpal = 1
size.xscale = 1 * var(0)
size.yscale = 1 * var(0)

[State 1100, Changestate]
type = Changestate
trigger1 = Animtime = 0
value = 0
ctrl = 1

;-| Rock Smash (Strong) |---------------------------------------------------
[Statedef 1101]
type = S
physics = S
movetype = A
anim = 1100
ctrl = 0
velset = 0,0
juggle = 5

[State 1101, PlaySND]
type = PlaySnd
trigger1 = Time = 1
value = 0, 1
channel = 0

[State 1101, Explod]
type = Explod
trigger1 = Animelem = 3
anim = F61
ID = 61
pos = 0,0
postype = p1
facing = 1
bindtime = -1
removetime = -2
scale = 1, 1
ontop = 0
ownpal = 1
removeongethit = 1

[State 1101, EnvShake]
type = EnvShake
trigger1 = Animelem = 3
time = 15

[State 1101, VarRandom] ; Set random scaling
type = VarRandom
trigger1 = Time = 1 || Animelem = 3, 1 || Animelem = 3, 2 || Animelem = 3, 3
v = 0
range = 1, 3

[State 1101, VarRandom 2] ; Set random horiz vel
type = VarRandom
trigger1 = Time = 1 || Animelem = 3, 1 || Animelem = 3, 2 || Animelem = 3, 3
v = 1
range = 1, 2

[State 1101, VarRandom 3] ; Set random vert vel
type = VarRandom
trigger1 = Time = 1 || Animelem = 3, 1 || Animelem = 3, 2 || Animelem = 3, 3
v = 2
range = -14, -6

[State 1101, Helper]
type = Helper
trigger1 = Animelem = 3, 1
helpertype = normal
name = "Round Rock A2"
ID = 1110
pos = 11,-2
postype = p1
facing = 1
stateno = 1111
;keyctrl = 0
ownpal = 1
size.xscale = 1 * var(0)
size.yscale = 1 * var(0)

[State 1101, Helper 2]
type = Helper
trigger1 = Animelem = 3, 2
helpertype = normal
name = "Round Rock B2"
ID = 1111
pos = 11,-2
postype = p1
facing = 1
stateno = 1111
;keyctrl = 0
ownpal = 1
size.xscale = 1 * var(0)
size.yscale = 1 * var(0)

[State 1101, Helper 3]
type = Helper
trigger1 = Animelem = 3, 3
helpertype = normal
name = "Round Rock C2"
ID = 1112
pos = 11,-2
postype = p1
facing = 1
stateno = 1111
;keyctrl = 0
ownpal = 1
size.xscale = 1 * var(0)
size.yscale = 1 * var(0)

[State 1100, Changestate]
type = Changestate
trigger1 = Animtime = 0
value = 0
ctrl = 1

;-| Round Rock |------------------------------------------------------------
[Statedef 1110]
type = S
physics = S
movetype = A
anim = 1110 + (parent, var(0) - 1)
ctrl = 0
sprpriority = 2

[State 1110, Hitdef]
type = HitDef
trigger1 = Time = 0
attr = A, SP
hitflag = MAF
guardflag = MA
animtype = Light
priority = 3,Dodge
damage = ceil(23 + (((Anim - 1100) + 1) * 1.25)),3
pausetime = 8,9
sparkno = 2
sparkxy = 0,0
hitsound   = 5,1
guardsound = 6,0
ground.type = High
ground.slidetime = 7
ground.hittime = 8
ground.velocity = -2,0
air.velocity = -1,-2
fall = 1

[State 1110, VarSet]
type = VarSet
trigger1 = Time = 1
v =  58
value = 0

[State 1110, AngleAdd]
type = AngleAdd
trigger1 = Time > 0 ;&& var(58) = 0
value = -15

[State 1110, AngelDraw]
type = AngleDraw
trigger1 = Time > 0 && var(58) = 0

[State 1110, Varset 2]
type = Varset
trigger1 = Time = 0
v = 59
value = parent, var(1)

[State 1110, Velset]
type = Velset
trigger1 = Time > 0 && var(58) = 0
x = var(59)

[State 1110, Velset 2]
type = Velset
trigger1 = Time = 0 && var(58) = 0
y = parent, var(2)

[State 1110, Gravity]
type = Gravity
trigger1 = Time > 0

[State 1110, VarSet 3]
type = VarSet
trigger1 = Pos Y > 0 || Movecontact
v = 58
value = 1

[State 1110, ChangeAnim]
type = ChangeAnim
trigger1 = var(58) = 1
value = 1102
persistent = 0

[State 1110, Velset 3]
type = VelSet
trigger1 = var(58) = 1 && animelem = 1
y = -6

[State 1110, Velset 4]
type = VelSet
trigger1 = var(58) = 1
x = var(59) / 2

[State 1110, DestroySelf]
type = DestroySelf
trigger1 = var(58) = 1 && Animelem >= 8

;-| Round Rock Strong |-----------------------------------------------------
[Statedef 1111]
type = S
physics = S
movetype = A
anim = 1110 + (parent, var(0) - 1)
ctrl = 0
sprpriority = 2

[State 1111, Hitdef]
type = HitDef
trigger1 = Time = 0
attr = A, SP
hitflag = MAF
guardflag = MA
animtype = Light
priority = 3,Dodge
damage = ceil(35 + (((Anim - 1100) + 1) * 1.25)),4
pausetime = 8,9
sparkno = 2
sparkxy = 0,0
hitsound   = 5,2
guardsound = 6,0
ground.type = High
ground.slidetime = 7
ground.hittime = 8
ground.velocity = -2,0
air.velocity = -1,-2
fall = 1

[State 1111, VarSet]
type = VarSet
trigger1 = Time = 1
v =  58
value = 0

[State 1111, AngleAdd]
type = AngleAdd
trigger1 = Time > 0 ;&& var(58) = 0
value = -15

[State 1111, AngelDraw]
type = AngleDraw
trigger1 = Time > 0 && var(58) = 0

[State 1111, Varset 2]
type = Varset
trigger1 = Time = 0
v = 59
value = parent, var(1)

[State 1111, Velset]
type = Velset
trigger1 = Time > 0 && var(58) = 0
x = var(59)

[State 1111, Velset 2]
type = Velset
trigger1 = Time = 0 && var(58) = 0
y = parent, var(2)

[State 1111, Gravity]
type = Gravity
trigger1 = Time > 0

[State 1111, VarSet 3]
type = VarSet
trigger1 = Pos Y > 0 || Movecontact
v = 58
value = 1

[State 1111, ChangeAnim]
type = ChangeAnim
trigger1 = var(58) = 1
value = 1102
persistent = 0

[State 1111, Velset 3]
type = VelSet
trigger1 = var(58) = 1 && animelem = 1
y = -6

[State 1111, Velset 4]
type = VelSet
trigger1 = var(58) = 1
x = var(59) / 2

[State 1111, DestroySelf]
type = DestroySelf
trigger1 = var(58) = 1 && Animelem >= 8

;---------------------------------------------------------------------------
;-| Headbutt (Weak, Jumping) |----------------------------------------------
[Statedef 1200]
type = A
physics = N
movetype = A
anim = 1200
ctrl = 0
velset = 0,0
juggle = 5

[State 1200, PosSet]
type = PosSet
trigger1 = Time = 0
y = -1

[State 1200, Velset]
type = VelSet
trigger1 = Time = 1
x = 4
y = -3

[State 1200, Gravity]
type = Gravity
trigger1 = Time > 1

[State 1200, Changestate]
type = Changestate
trigger1 = Pos Y > 0 && Vel Y > 0
value = 1201

;---------------------------------------------------------------------------
;-| Headbutt (Weak, Headbutting) |------------------------------------------
[Statedef 1201]
type = S
physics = S
movetype = A
anim = 1201
ctrl = 0
velset = 0,0

[State 1201, PosSet]
type = PosSet
trigger1 = time = 0
y = 0

[State 1201, Hitdef]
type = HitDef
trigger1 = Animelem = 1
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = Medium
priority = 4,Hit
damage = 45,0
pausetime = 9,10
sparkno = 1
sparkxy = 2,-54
hitsound   = 5,3
guardsound = 6,0
ground.type = High
ground.slidetime = 14
ground.hittime = 16
ground.velocity = -3,0
air.velocity = -1.5,-2
fall = 1

[State 1201, Hitdef 2]
type = HitDef
trigger1 = Animelem = 2
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = Medium
priority = 4,Hit
damage = 45,0
pausetime = 9,10
sparkno = 1
sparkxy = 2,-34
hitsound   = 5,3
guardsound = 6,0
ground.type = Low
ground.slidetime = 16
ground.hittime = 18
ground.velocity = -4,0
air.velocity = -2,-2
fall = 1

[State 1201, Changestate]
type = Changestate
trigger1 = Animtime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;-| Headbutt (Strong, Jumping) |----------------------------------------------
[Statedef 1210]
type = A
physics = N
movetype = A
anim = 1200
ctrl = 0
velset = 0,0
juggle = 5

[State 1210, PosSet]
type = PosSet
trigger1 = Time = 0
y = -1

[State 1210, Velset]
type = VelSet
trigger1 = Time = 1
x = 6
y = -4

[State 1210, Gravity]
type = Gravity
trigger1 = Time > 1

[State 1210, Changestate]
type = Changestate
trigger1 = Pos Y > 0 && Vel Y > 0
value = 1211

;---------------------------------------------------------------------------
;-| Headbutt (Strong, Headbutting) |------------------------------------------
[Statedef 1211]
type = S
physics = S
movetype = A
anim = 1201
ctrl = 0
velset = 0,0

[State 1211, PosSet]
type = PosSet
trigger1 = time = 0
y = 0

[State 1211, Hitdef]
type = HitDef
trigger1 = Animelem = 1
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = Medium
priority = 4,Hit
damage = 60,0
pausetime = 9,10
sparkno = 1
sparkxy = 2,-54
hitsound   = 5,3
guardsound = 6,0
ground.type = High
ground.slidetime = 14
ground.hittime = 16
ground.velocity = -3,0
air.velocity = -1.5,-2
fall = 1

[State 1211, Hitdef 2]
type = HitDef
trigger1 = Animelem = 2
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = Medium
priority = 4,Hit
damage = 60,0
pausetime = 9,10
sparkno = 1
sparkxy = 2,-34
hitsound   = 5,3
guardsound = 6,0
ground.type = Low
ground.slidetime = 16
ground.hittime = 18
ground.velocity = -4,0
air.velocity = -2,-2
fall = 1

[State 1211, Changestate]
type = Changestate
trigger1 = Animtime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;-| Throws |----------------------------------------------------------------
; Throw Backward (attempt)
[Statedef 300]
type = S
movetype = A
physics = S
velset = 0,0
anim = 300
ctrl = 0
sprpriority = 2

[State 300, Hitdef]
type = Hitdef
trigger1 = !Time
attr = S, NT
hitflag = M-
hitsound = -1, 0
priority = 3, Miss
sparkno = -1
p1facing = 1
p2facing = 1
p1stateno = 310
p2stateno = 311
guard.dist = 0
fall = 1

[State 300, Changestate]
type = ChangeState
Trigger1 = !AnimTime
value = 0
ctrl = 1

; Throwing Backward
[Statedef 310]
type = A
movetype = A
physics = N
anim = 310

[State 310, Assertspecial]
type = Assertspecial
trigger1 = 1
flag = NoAutoTurn

[State 310, Targetbind 1]
type = TargetBind
trigger1 = Animelem = 2
pos = 30, -10

[State 310, Targetbind 2]
type = TargetBind
trigger1 = Animelem = 3
pos = 25, -20

[State 310, Targetbind 3]
type = TargetBind
trigger1 = Animelem = 4
pos = 0, -20

[State 310, PowerAdd]
type = Poweradd
trigger1 = Animelem = 5
value = 40

[State 310, Turn]
type = Turn
trigger1 = Animelem = 6

[State 310, Screenbound]
type = Screenbound
trigger1 = 1
value = 0

[State 310, End]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1

; Opponent Being Thrown Backward
[Statedef 311]
type    = A
movetype= H
physics = N
velset = 0,0

[State 311, ChangeAnim]
type = ChangeAnim2
trigger1 = !Time
value = 311

[State 311, LifeAdd]
type = LifeAdd
trigger1 = Animelem = 4
value = -120

[State 311, Velset]
type = Velset
trigger1 = Animelem = 4
x = 5
y = 6.5

[State 311, Stuff]
type = Veladd
trigger1 = Animelem = 4
y = .50

[State 311, Posadd]
type = Posadd
trigger1 = Animelem = 4
x = 30

[State 311, Screenbound]
type = Screenbound
trigger1 = Animelem = 4
value = 0

[State 311, Explod]
type = Explod
trigger1 = Vel Y > 0 && Pos Y >= 0
anim = F62
ID = 810
pos = 0,0
postype = p1
bindtime = 1
ontop = 1
ownpal = 1

[State 311, EnvShake]
type = EnvShake
trigger1 = Vel Y > 0 && Pos Y >= 0
time = 20
ampl = -3
freq = 85
phase = 95

[State 311, SelfState]
type = SelfState
trigger1 = Vel Y > 0 && Pos Y >= 0
value = 5100

;---------------------------------------------------------------------------
;-| Supers |----------------------------------------------------------------
;-| Super Fireball |--------------------------------------------------------
[Statedef 3000]
type = S
physics = S
movetype = A
anim = 3000
ctrl = 0
velset = 0,0
juggle = 5

[State 3000, PlaySND]
type = PlaySnd
trigger1 = Time = 0
value = 0, 3
channel = 0

[State 3000, SuperPause]
type = SuperPause
trigger1 = Time = 1
time = 45
sound = 20, 0
pos = 0,-47
darken = 1
poweradd = -1000

[State 3000, Helper A]
type = Helper
trigger1 = !Time
helpertype = normal
ID = 4000
name = "Awesome Effect" 
postype = p1
supermovetime = 45
pos = 0,0
stateno = 4000
ownpal = 1

[State 3000, Helper B]
type = Helper
trigger1 = !Time
helpertype = normal
ID = 4005
name = "Super Portrait" 
postype = p1
supermovetime = 45
pos = 0,0
stateno = 4005
ownpal = 1

[State 3000, PlaySND]
type = PlaySnd
trigger1 = Time = 2
value = 0, 0
channel = 0

[State 3000, Explod]
type = Explod
trigger1 = Animelem = 3
anim = 3001
ID = 3000
pos = 12,-47
postype = p1
facing = 1
bindtime = -1
removetime = -2
ontop = 1
ownpal = 1
removeongethit = 1

[State 3000, Projectile]
type = Projectile
trigger1 = Animelem = 3, 15
ProjID = 3000
projanim = 3002
projhitanim = 3003
projscale = 1,1
projremove = 1
projremovetime = -1
velocity = 5,0
projhits = 6
projmisstime = 2
projpriority = 1
projedgebound = 60
projstagebound = 60
offset = 12,-47
postype = p1
attr = S, HP
hitflag = MAF
guardflag = MA
animtype = Medium
priority = 4,Hit
damage = 40,4
pausetime = 9,11
getpower = 0
sparkno = 3
sparkxy = 5,0
hitsound   = 5,3
guardsound = 6,0
ground.type = High
ground.slidetime = 9
ground.hittime = 11
ground.velocity = -4.2,0
air.velocity = -1,-2
fall = 1
air.fall = 1
fall.recover = 1

[State 3000, Changestate]
type = Changestate
trigger1 = Animtime = 0
value = 0
ctrl = 1

;-| Energy Burst |----------------------------------------------------------
[Statedef 3100]
type = S
physics = S
movetype = A
anim = 3100
ctrl = 0
velset = 0,0
juggle = 5

[State 3100, VarSet] ;initialize the var
type = VarSet
trigger1 = Time = 0
v =  3
value = 0

[State 3100, PlaySND]
type = PlaySnd
trigger1 = Time = 0
value = 0, 3
channel = 0

[State 3100, SuperPause]
type = SuperPause
trigger1 = Time = 1
time = 45
sound = 20, 0
anim = 101
pos = 0,-47
darken = 1
poweradd = -2000

[State 3100, VarSet 2] ;begin the actual attack
type = VarSet
trigger1 = var(3) = 0 && Animtime = 0
v =  3
value = 1

[State 3100, PlaySND 2]
type = PlaySnd
trigger1 = var(3) = 1 && Animelem = 1,1
value = 0, 0
channel = 0
persistent = 0

[State 3100, ChangeAnim]
type = ChangeAnim
trigger1 = var(3) = 1 && Anim != 3101
value = 3101

[State 3100, Helper A]
type = Helper
trigger1 = !Time
helpertype = normal
ID = 4000
name = "Awesome Effect" 
postype = p1
supermovetime = 45
pos = 0,0
stateno = 4000
ownpal = 1

[State 3100, Helper B]
type = Helper
trigger1 = !Time
helpertype = normal
ID = 4005
name = "Super Portrait" 
postype = p1
supermovetime = 45
pos = 0,0
stateno = 4005
ownpal = 1

[State 3100, Helper C]
type = Helper
trigger1 = var(3) = 1 && AnimElem = 1
helpertype = normal
name = "Flames"
ID = 3110
pos = 0,0
postype = p1
facing = 1
stateno = 3110
ownpal = 0
size.xscale = 0.8
size.yscale = 1.2

[State 3100, Explod]
type = Explod
trigger1 = var(3) = 1 && animelem = 1,1
anim = F130
ID = 3100
pos = 0,0
postype = p1
facing = 1
bindtime = -1
removetime = -1
ontop = 1
ownpal = 1
removeongethit = 1
persistent = 0

[State 3100, RemoveExplod]
type = RemoveExplod
trigger1 = var(3) = 2
ID = 3100

[State 3100, VarSet 3] ;finishing up
type = VarSet
trigger1 = var(3) = 1 && time > 80 && NumHelper(3110) = 0
v =  3
value = 2

[State 3100, ChangeAnim 2]
type = ChangeAnim
trigger1 = var(3) = 2 && Anim != 3102
value = 3102

[State 3100, Changestate]
type = Changestate
trigger1 = Animtime = 0 && var(3) = 2
value = 0
ctrl = 1

;-| Energy Burst (Flames) |-------------------------------------------------
[Statedef 3110]
type = S
physics = S
movetype = A
anim = 3110
ctrl = 0
sprpriority = 4

[State 3110, HitDef]
type = HitDef
trigger1 = Animelem = 4 && Hitcount < 6
attr = S, HP
hitflag = MAF
guardflag = MA
animtype = Up
priority = 4,Hit
damage = 95,10
pausetime = 9,11
getpower = 0
sparkno = 3
sparkxy = 5,-40
hitsound   = 5,3
guardsound = 6,0
ground.type = High
ground.slidetime = 9
ground.hittime = 11
ground.velocity = -0.5,-7
air.velocity = -0.5,-4
fall = 1
air.fall = 1
fall.recover = 1

[State 3110, HitDef]
type = HitDef
trigger1 = Animelem = 5 && Hitcount < 6
attr = S, HP
hitflag = MAF
guardflag = MA
animtype = Up
priority = 4,Hit
damage = 95,10
pausetime = 9,11
getpower = 0
sparkno = 3
sparkxy = 5,-40
hitsound   = 5,3
guardsound = 6,0
ground.type = High
ground.slidetime = 9
ground.hittime = 11
ground.velocity = -0.5,-7
air.velocity = -0.5,-4
fall = 1
air.fall = 1
fall.recover = 1

[State 3110, HitDef]
type = HitDef
trigger1 = Animelem = 6 && Hitcount < 6
attr = S, HP
hitflag = MAF
guardflag = MA
animtype = Up
priority = 4,Hit
damage = 95,10
pausetime = 9,11
getpower = 0
sparkno = 3
sparkxy = 5,-40
hitsound   = 5,3
guardsound = 6,0
ground.type = High
ground.slidetime = 9
ground.hittime = 11
ground.velocity = -0.5,-7
air.velocity = -0.5,-4
fall = 1
air.fall = 1
fall.recover = 1

[State 3110, HitDef]
type = HitDef
trigger1 = Animelem = 7 && Hitcount < 6
attr = S, HP
hitflag = MAF
guardflag = MA
animtype = Up
priority = 4,Hit
damage = 95,10
pausetime = 9,11
getpower = 0
sparkno = 3
sparkxy = 5,-40
hitsound   = 5,3
guardsound = 6,0
ground.type = High
ground.slidetime = 9
ground.hittime = 11
ground.velocity = -0.5,-7
air.velocity = -0.5,-4
fall = 1
air.fall = 1
fall.recover = 1

[State 3110, HitDef]
type = HitDef
trigger1 = Animelem = 8 && Hitcount < 6
attr = S, HP
hitflag = MAF
guardflag = MA
animtype = Up
priority = 4,Hit
damage = 95,10
pausetime = 9,11
getpower = 0
sparkno = 3
sparkxy = 5,-40
hitsound   = 5,3
guardsound = 6,0
ground.type = High
ground.slidetime = 9
ground.hittime = 11
ground.velocity = -0.5,-7
air.velocity = -0.5,-4
fall = 1
air.fall = 1
fall.recover = 1

[State 3110, HitDef]
type = HitDef
trigger1 = Animelem = 9 && Hitcount < 6
attr = S, HP
hitflag = MAF
guardflag = MA
animtype = Up
priority = 4,Hit
damage = 95,10
pausetime = 9,11
getpower = 0
sparkno = 3
sparkxy = 5,-40
hitsound   = 5,3
guardsound = 6,0
ground.type = High
ground.slidetime = 9
ground.hittime = 11
ground.velocity = -0.5,-7
air.velocity = -0.5,-4
fall = 1
air.fall = 1
fall.recover = 1

[State 3110, HitDef]
type = HitDef
trigger1 = Animelem = 10 && Hitcount < 6
attr = S, HP
hitflag = MAF
guardflag = MA
animtype = Up
priority = 4,Hit
damage = 95,10
pausetime = 9,11
getpower = 0
sparkno = 3
sparkxy = 5,-40
hitsound   = 5,3
guardsound = 6,0
ground.type = High
ground.slidetime = 9
ground.hittime = 11
ground.velocity = -0.5,-7
air.velocity = -0.5,-4
fall = 1
air.fall = 1
fall.recover = 1

[State 3110, HitDef]
type = HitDef
trigger1 = Animelem = 11 && Hitcount < 6
attr = S, HP
hitflag = MAF
guardflag = MA
animtype = Up
priority = 4,Hit
damage = 95,10
pausetime = 9,11
getpower = 0
sparkno = 3
sparkxy = 5,-40
hitsound   = 5,3
guardsound = 6,0
ground.type = High
ground.slidetime = 9
ground.hittime = 11
ground.velocity = -0.5,-7
air.velocity = -0.5,-4
fall = 1
air.fall = 1
fall.recover = 1

[State 3110, HitDef]
type = HitDef
trigger1 = Animelem = 12 && Hitcount < 6
attr = S, HP
hitflag = MAF
guardflag = MA
animtype = Up
priority = 4,Hit
damage = 95,10
pausetime = 9,11
getpower = 0
sparkno = 3
sparkxy = 5,-40
hitsound   = 5,3
guardsound = 6,0
ground.type = High
ground.slidetime = 9
ground.hittime = 11
ground.velocity = -0.5,-7
air.velocity = -0.5,-4
fall = 1
air.fall = 1
fall.recover = 1

[State 3110, HitDef]
type = HitDef
trigger1 = Animelem = 13 && Hitcount < 6
attr = S, HP
hitflag = MAF
guardflag = MA
animtype = Up
priority = 4,Hit
damage = 95,10
pausetime = 9,11
getpower = 0
sparkno = 3
sparkxy = 5,-40
hitsound   = 5,3
guardsound = 6,0
ground.type = High
ground.slidetime = 9
ground.hittime = 11
ground.velocity = -0.5,-7
air.velocity = -0.5,-4
fall = 1
air.fall = 1
fall.recover = 1

[State 3110, DestroySelf]
type = DestroySelf
trigger1 = Animtime = 0

;---------------------------------------------------------------------------
;-| Override common states (use same number to override) : |----------------
;-| Hop Forward |-----------------------------------------------------------
[Statedef 100]
type    = A
physics = A
anim = 100
ctrl = 0
sprpriority = 1

[State 100, VelSet]
type = VelSet
trigger1 = !time
x = const(velocity.run.fwd.x)
y = const(velocity.run.fwd.y)

[State 100, Changestate]
type = ChangeState
trigger1 = Vel Y > 0
trigger1 = Pos Y >= 0
value = 106

;-| Hop Backward|-----------------------------------------------------------
[Statedef 105]
type    = A
physics = A
ctrl = 0
anim = 105
sprpriority = 1

[State 105, Velset]
type = VelSet
trigger1 = !time
x = const(velocity.run.back.x)
y = const(velocity.run.back.y)

[State 105, ChangeState]
type = ChangeState
trigger1 = Vel Y > 0
trigger1 = Pos Y >= 0
value = 106

;-| Hop Landing |-----------------------------------------------------------
[Statedef 106]
type    = S
physics = S
ctrl = 0
anim = 47

[State 106, 1]
type = VelSet
trigger1 = !time
y = 0

[State 106, 2]
type = PosSet
trigger1 = !time
y = 0

[State 106, 3]
type = MakeDust
trigger1 = Time = 2
pos = -5,-2
spacing = 1

[State 106, 4]
type = ChangeState
trigger1 = !animtime
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;-| States that are always executed (use statedef -2) |---------------------
[Statedef -2]

[State -2, VarSet 1]
type = VarSet
trigger1 = 1
fv = 0
value = Pos X

[State -2, VarSet 2]
type = VarSet
trigger1 = 1
fv = 1
value = Pos Y

[State -2, DisplayToClipboard]
type = DisplayToClipboard
trigger1 = 1
text = "ryouga: X %f, Y %f\nrocks: random scaling: %d, random x vel: %d, random y vel: %d"
params = fvar(0), fvar(1), var(0), var(1), var(2)

[State -2, Ow Sound] ; From Eli's Silent Storm
type = PlaySnd
triggerall = Time = 1
triggerall = alive && (random <= 500)
trigger1 = stateno = 5001 || stateno = 5011
trigger2 = stateno = 5040 || stateno = 5050
trigger3 = stateno = 5070
value = 0, 4

;---------------------------------------------------------------------------
;-| States that are executed when in self's state file (use statedef -3) |--
;[Statedef -3]

;-------------------
;MEE Template Files
;   provided by
;  Kitsune Sniper
;       ***
; Thanks, Kitsune!
;-------------------
